#
# Spec file for Qpid C++ packages: qpidc, qpidc-devel, qpidd, qpidd-devel, rh-qpid-tests
# svn revision: $Rev: 654927 $
#

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           qpidc
Version:        0.5.752581
Release:        34%{?dist}
Summary:        Libraries for Qpid C++ client applications
Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://qpid.apache.org
Source0:        %{name}-%{version}.tar.gz
Source1:        qpidd.pp
Patch0:		mrg_1.1.x.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: e2fsprogs-devel
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRequires: ruby
BuildRequires: python
BuildRequires: cyrus-sasl-devel
BuildRequires: cyrus-sasl-lib
BuildRequires: cyrus-sasl
BuildRequires: libibverbs-devel
BuildRequires: librdmacm-devel
BuildRequires: nss-devel
BuildRequires: nspr-devel
BuildRequires: xqilla-devel
BuildRequires: xerces-c-devel
BuildRequires: openais-devel
BuildRequires: cman-devel

Requires: boost

Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires(postun): /sbin/service

%description
Run-time libraries for AMQP client applications developed using Qpid
C++. Clients exchange messages with an AMQP message broker using
the AMQP protocol.

%package devel
Summary: Header files and documentation for developing Qpid C++ clients
Group: Development/System
Requires: %name = %version-%release
Requires: boost-devel
Requires: e2fsprogs-devel
Requires: python

%description devel
Libraries, header files and documentation for developing AMQP clients
in C++ using Qpid.  Qpid implements the AMQP messaging specification.

%package -n qpidd
Summary: An AMQP message broker daemon
Group: System Environment/Daemons
Requires: %name = %version-%release
Requires: cyrus-sasl
Requires(post): selinux-policy-base
Requires(post): /usr/sbin/semodule
Requires(postun): /usr/sbin/semodule

%description -n qpidd
A message broker daemon that receives stores and routes messages using
the open AMQP messaging protocol.

%package -n qpidd-devel
Summary: Libraries and header files for developing Qpid broker extensions
Group: Development/System
Requires: %name-devel = %version-%release
Requires: qpidd = %version-%release
Requires: boost-devel

%description -n qpidd-devel
Libraries and header files for developing extensions to the
Qpid broker daemon.

%package -n qmf
Summary: The QPID Management Framework
Group: System Environment/Daemons
Requires: %name = %version-%release

%description -n qmf
An extensible managememt framework layered on QPID messaging.

%package -n qmf-devel
Summary: Header files and tools for developing QMF extensions
Group: Development/System
Requires: qmf = %version-%release
Requires: %name-devel = %version-%release

%description -n qmf-devel
Header files and code-generation tools needed for developers of QMF-managed
components.

%package -n qpidd-acl
Summary: ACL based security for the Qpid daemon
Group: System Environment/Libraries
Requires: qpidd = %version-%release

%description -n qpidd-acl
A Qpid daemon plugin to support ACL-based access control.

%package rdma
Summary: RDMA Protocol support (including Infiniband) for Qpid clients
Group: System Environment/Libraries
Requires: %name = %version-%release

%description rdma
A client plugin and support library to support RDMA protocols (including
Infiniband) as the transport for Qpid messaging.

%package -n qpidd-rdma
Summary: RDMA Protocol support (including Infiniband) for the Qpid daemon
Group: System Environment/Libraries
Requires: qpidd = %version-%release
Requires: %name-rdma = %version-%release

%description -n qpidd-rdma
A Qpid daemon plugin to support RDMA protocols (including Infiniband) as the
transport for AMQP messaging.

%package ssl
Summary: SSL support for Qpid clients
Group: System Environment/Libraries
Requires: %name = %version-%release

%description ssl
A client plugin and support library to support SSL as the transport
for Qpid messaging.

%package -n qpidd-ssl
Summary: SSL support for the Qpid daemon
Group: System Environment/Libraries
Requires: qpidd = %version-%release
Requires: %name-ssl = %version-%release

%description -n qpidd-ssl
A Qpid daemon plugin to support SSL as the transport for AMQP
messaging.

%package -n qpidd-xml
Summary: XML extensions for the Qpid daemon
Group: System Environment/Libraries
Requires: qpidd = %version-%release
Requires: xqilla
Requires: xerces-c

%description -n qpidd-xml
A Qpid daemon plugin to support extended XML-based routing of AMQP
messages.

%package -n qpidd-cluster
Summary: Cluster support for the Qpid daemon
Group: System Environment/Daemons
Requires: qpidd = %version-%release
Requires: qpidc = %version-%release
Requires: openais >= 0.80.3-22.el5_3.10
Requires: cman >= 2.0.98-1.el5_3.8

%description -n qpidd-cluster
A Qpid daemon plugin enabling broker clustering using openais

%package perftest
Summary: Simple benchmarking tools
Group: System Environment/Tools
Requires: qpidc = %version-%release

%description perftest
Tools for performing testing and benchmarking of MRG-Messaging

%package -n rh-qpid-tests
Summary: Internal Red Hat test utilities
Group: System Environment/Tools
Requires: qpidc = %version-%release

%description -n rh-qpid-tests
Tools which can be used by Red Hat for doing different tests 
in RHTS and other places and which customers do not need
to receive at all.

%pre -n qpidd
getent group qpidd >/dev/null || groupadd -r qpidd
getent passwd qpidd >/dev/null || \
  useradd -r -M -g qpidd -d %{_localstatedir}/lib/qpidd -s /sbin/nologin \
    -c "Owner of Qpidd Daemons" qpidd
exit 0

%prep
%setup -q
%patch0 -p2

%define perftests "perftest topic_listener topic_publisher \
  latencytest client_test txtest"

%define rh_qpid_tests_failover "failover_soak run_failover_soak"

%define rh_qpid_tests_clients "replaying_sender resuming_receiver declare_queues"

install -d selinux
install %{SOURCE1} selinux

%build
cd ./cpp
./bootstrap
CXXFLAGS="%{optflags} -DNDEBUG -O3" \
%configure --disable-static --with-cpg --without-graphviz --without-help2man
make %{?_smp_mflags}
# Remove this generated perl file, we don't need it and it upsets rpmlint.
# This is generating an error as of 21 Nov 08 because the file doesn't exist.
# rm docs/api/html/installdox

# make the api documents
make -C docs/api html

# Make perftest utilities
pushd src/tests
for ptest in %{perftests}; do
  make $ptest
done
# Make rh-qpid-test programs (RH internal)
for rhtest in %{rh_qpid_tests_failover} %{rh_qpid_tests_clients}; do
        make $rhtest
done
# Patch run_failover_soak to make it work outside source tree
mv -f run_failover_soak run_failover_soak.orig
cat run_failover_soak.orig | sed -e "s#^src_root=..#src_root=/usr/sbin#" \
                                 -e "s#\$src_root/\.libs#%{_libdir}/qpid/daemon#" \
                                 -e "s#\`dirname \$0\`#../failover#" \
                                 -e "s#^exec #cd /opt/rh-qpid/clients; exec #" > run_failover_soak
popd

%install
cd ./cpp
rm -rf %{buildroot}
mkdir -p -m0755 %{buildroot}/%_bindir
make install DESTDIR=%{buildroot}
install -Dp -m0755 etc/qpidd %{buildroot}%{_initrddir}/qpidd
install -d -m0755 %{buildroot}%{_localstatedir}/lib/qpidd
install -d -m0755 %{buildroot}%{_libdir}/qpidd
install -d -m0755 %{buildroot}/var/run/qpidd
# Install perftest utilities
pushd %{_builddir}/%{name}-%{version}/cpp/src/tests/
for ptest in %{perftests}; do
  libtool --mode=install install -m755 $ptest %{buildroot}/%_bindir
done
# Install rh-qpid-test programs (RH internal)
mkdir -p -m 0755 %{buildroot}/opt/rh-qpid/failover
mkdir -p -m 0755 %{buildroot}/opt/rh-qpid/clients
for rhtest in %{rh_qpid_tests_failover} ; do
        libtool --mode=install install -m 755 $rhtest %{buildroot}/opt/rh-qpid/failover/
done
for rhtest in %{rh_qpid_tests_clients} ; do
        libtool --mode=install install -m 755 $rhtest %{buildroot}/opt/rh-qpid/clients/
done
popd
cd ..
rm -f %{buildroot}%_libdir/*.a
rm -f %{buildroot}%_libdir/*.l
rm -f %{buildroot}%_libdir/*.la
rm -f %{buildroot}%_libdir/librdmawrap.so
rm -f %{buildroot}%_libdir/libsslcommon.so
rm -f %{buildroot}%_libdir/qpid/client/*.la
rm -f %{buildroot}%_libdir/qpid/daemon/*.la
# remove examples, are being packages separately in the rhm-docs package
rm -fr %{buildroot}/usr/share/qpidc/examples

install -d %{buildroot}%{_datadir}/selinux/packages
install -m 644 selinux/qpidd.pp %{buildroot}%{_datadir}/selinux/packages

%clean
rm -rf %{buildroot}

%check
# LANG=C needs to be in the environment to deal with a libtool issue
cd ./cpp
LANG=C make check

%files
%defattr(-,root,root,-)
%doc cpp/LICENSE cpp/NOTICE cpp/README cpp/INSTALL cpp/RELEASE_NOTES cpp/DESIGN
%_libdir/libqpidcommon.so.0
%_libdir/libqpidcommon.so.0.1.0
%_libdir/libqpidclient.so.0
%_libdir/libqpidclient.so.0.1.0
%dir %_libdir/qpid/client
%dir %_sysconfdir/qpid
%config(noreplace) %_sysconfdir/qpid/qpidc.conf

%files devel
%defattr(-,root,root,-)
%_includedir/qpid/*.h
%_includedir/qpid/amqp_0_10
%_includedir/qpid/client
%_includedir/qpid/console
%_includedir/qpid/framing
%_includedir/qpid/sys
%_includedir/qpid/log
%_includedir/qpid/management
%_includedir/qpid/agent
%_includedir/qpid
%_includedir/qmf
%_libdir/libqpidcommon.so
%_libdir/libqpidclient.so
%doc cpp/docs/api/html

%files -n qpidd
%defattr(-,root,root,-)
%_datadir/selinux/packages/qpidd.pp
%_libdir/libqpidbroker.so.0
%_libdir/libqpidbroker.so.0.1.0
%_libdir/qpid/daemon/replicating_listener.so
%_libdir/qpid/daemon/replication_exchange.so
%_sbindir/qpidd
%config(noreplace) %_sysconfdir/qpidd.conf
%config(noreplace) %_sysconfdir/sasl2/qpidd.conf
%{_initrddir}/qpidd
%dir %_libdir/qpid/daemon
%attr(755, qpidd, qpidd) %_localstatedir/lib/qpidd
%attr(755, qpidd, qpidd) %_libdir/qpidd
%attr(755, qpidd, qpidd) /var/run/qpidd
%attr(600, qpidd, qpidd) %config(noreplace) %_localstatedir/lib/qpidd/qpidd.sasldb
%doc %_mandir/man1/qpidd.*

%files -n qpidd-devel
%defattr(-,root,root,-)
%defattr(-,root,root,-)
%_libdir/libqpidbroker.so
%_includedir/qpid/broker

%files -n qmf
%defattr(-,root,root,-)
%_libdir/libqmfagent.so.0
%_libdir/libqmfagent.so.0.1.0
%_libdir/libqmfconsole.so.0
%_libdir/libqmfconsole.so.0.1.0

%files -n qmf-devel
%defattr(-,root,root,-)
%_libdir/libqmfagent.so
%_libdir/libqmfconsole.so
%_bindir/qmf-gen
%{python_sitelib}/qmfgen

%files -n qpidd-acl
%defattr(-,root,root,-)
%_libdir/qpid/daemon/acl.so

%files rdma
%defattr(-,root,root,-)
%_libdir/librdmawrap.so.0
%_libdir/librdmawrap.so.0.1.0
%_libdir/qpid/client/rdmaconnector.so
%config(noreplace) %_sysconfdir/qpid/qpidc.conf

%files -n qpidd-rdma
%defattr(-,root,root,-)
%_libdir/qpid/daemon/rdma.so

%files ssl
%defattr(-,root,root,-)
%_libdir/libsslcommon.so.0
%_libdir/libsslcommon.so.0.1.0
%_libdir/qpid/client/sslconnector.so

%files -n qpidd-ssl
%defattr(-,root,root,-)
%_libdir/qpid/daemon/ssl.so

%files -n qpidd-xml
%defattr(-,root,root,-)
%_libdir/qpid/daemon/xml.so

%files -n qpidd-cluster
%defattr(-,root,root,-)
%_libdir/qpid/daemon/cluster.so

%files perftest
%defattr(755,root,root,-)
%_bindir/perftest
%_bindir/topic_listener
%_bindir/topic_publisher
%_bindir/latencytest
%_bindir/client_test
%_bindir/txtest

%files -n rh-qpid-tests
%defattr(755,root,root,-)
/opt/rh-qpid/failover/run_failover_soak
/opt/rh-qpid/failover/failover_soak
/opt/rh-qpid/clients/declare_queues
/opt/rh-qpid/clients/replaying_sender
/opt/rh-qpid/clients/resuming_receiver

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n qpidd
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add qpidd
/sbin/ldconfig
/usr/sbin/semodule -i %_datadir/selinux/packages/qpidd.pp

%preun -n qpidd
# Check that this is actual deinstallation, not just removing for upgrade.
if [ $1 = 0 ]; then
        /sbin/service qpidd stop >/dev/null 2>&1 || :
        /sbin/chkconfig --del qpidd
fi

%postun -n qpidd
if [ "$1" -ge "1" ]; then
        /sbin/service qpidd condrestart >/dev/null 2>&1 || :
fi

/sbin/ldconfig

if [ "$1" = "0" ]; then
	/usr/sbin/semodule -r qpidd
fi

%post -n qpidd-cluster
# Make the qpidd user a member of the root group, and also make
# qpidd's primary group == ais.
usermod -g ais -G root qpidd


%post rdma -p /sbin/ldconfig

%postun rdma -p /sbin/ldconfig

%post ssl -p /sbin/ldconfig

%postun ssl -p /sbin/ldconfig

%post -n qmf -p /sbin/ldconfig

%postun -n qmf -p /sbin/ldconfig

%changelog
* Fri Nov 13 2009 Mike Cressman <mcressman@redhat.com> - 0.5.752581-34
- fix for BZ 537326

* Mon Nov 9 2009 Mike Cressman <mcressman@redhat.com> - 0.5.752581-33
- fixes for BZs 533351, 533361, 533431

* Fri Oct 30 2009 Mike Cressman <mcressman@redhat.com> - 0.5.752581-31
- fix for BZ 531031 (regression of 529489)

* Thu Oct 22 2009 Mike Cressman <mcressman@redhat.com> - 0.5.752581-30
- fix for BZ 529489

* Tue Oct 20 2009 Mike Cressman <mcressman@redhat.com> - 0.5.752581-29
- fix for BZ 529928 (added make for api doc)

* Wed Oct 14 2009 Mike Cressman <mcressman@redhat.com> - 0.5.752581-29
- fixes for BZs 489557, 510135

* Wed Oct 7 2009 Mike Cressman <mcressman@redhat.com> - 0.5.752581-28
- fixes for BZs 483807, 526868

* Mon Oct 5 2009 Mike Cressman <mcressman@redhat.com> - 0.5.752581-27
- fixes for BZs 471290, 493559, 501537, 514487, 514563,
  514686, 516501, 518410, 518603, 521271, 521854, 521856,
  522495, 522499, 522502, 522506, 523794, 524664, 525218, 525465,
  525555, 525813

* Fri Jul 10 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-26
- fix for BZ 510504.

* Wed Jul 8 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-25
- fixes for  BZs 509801 and 510301.

* Wed Jul 8 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-24
- fixes for  BZs 509803 and 509984.

* Mon Jul 6 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-23
- experimental -- getting brew to create generated code.

* Thu Jul 2 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-22
- fixes for BZs: 508917, 506758, 509096

* Wed Jun 24 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-21
- reverting 506758

* Mon Jun 22 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-20
- Fixes for BZs BZ507388 BZ506285 BZ507318 BZ506758 BZ506315 BZ506298 BZ505231 BZ507413, and a fix to perftest to mke it join some threads on error.
- Added new generated code patch.  Meae misereatur animae Deus.

* Sat Jun 20 2009 Justin Ross <jross@redhat.com> - 0.5.752581-19
- Fixes for BZs 506315, 505231, 506298, 506315, 506285

* Mon Jun 16 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-18
- Temporarily turning off heartbeat.
- fix for BZ 506285

* Fri Jun 12 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-17
- Fix for regression introduced in -10.

* Thu Jun 11 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-16
- Fix for 505175 and new fix for 504590.

* Wed Jun 10 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-15
- Fix for:  No knowledge of sessions on channel 0 is transferred to new cluster nodes.

* Tue Jun 09 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-14
- added patch for deadlock in durable LVQs.

* Mon Jun 08 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-13
- adding patches for these:  504650 503024(further) 491521 502914 504536 504590

* Wed Jun 03 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-12
- correcting fratricide between two patches that had the effect of undoing an optimization in the management code.

* Thu May 28 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-9
- Alan's changes and one from Ted.

* Wed May 27 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-8
- multiple new patches for TSX

* Wed May 20 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-7
- hotfix for TSX, and a patch from gsim for 501789

* Tue Apr 14 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-5
- three separate patches, conflicts resolved.

* Tue Apr 14 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-4
- smaller patch, getting only desired changes -- thanks, gsim.

* Mon Apr 13 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-4
- Going up to 764204, from 752581, in cpp only, by applying a giant patch.

* Tue Mar 24 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-3
- Re-do 752581 to get some temporary patches.

* Sat Mar 14 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.753410-1
- Scratch only -- test for qpidd postun scriptlet

* Wed Mar 11 2009 Mick Goulish <mgoulish@redhat.com> - 0.5.752581-1
- Updating to 752581.

* Wed Mar 04 2009 Mick Goulish <mgoulish@redhat.com> - 0.4.750054-1
- Updating to 750054.

* Wed Feb  25 2009 Mick Goulish <mgoulish@redhat.com> - 0.4.747892-1
- Testing jross' changes for SELinux .

* Fri Feb  20 2009 David Sommerseth <davids@redhat.com> - 0.4.744917-1
- Added packaging of internal test programs - rh-qpid-tests RPM

* Mon Feb  16 2009 Mick Goulish <mgoulish@redhat.com> - 0.4.744917-1
- Update to 744917.

* Thu Feb  12 2009 Mick Goulish <mgoulish@redhat.com> - 0.4.743861-1
- Update to 743861.

* Thu Feb  12 2009 Mick Goulish <mgoulish@redhat.com> - 0.4.743841-1
- Update to 743841.

* Thu Feb  05 2009 Mick Goulish <mgoulish@redhat.com> - 0.4.741135-1
- Update to 741135.

* Tue Jan  27 2009 Mick Goulish <mgoulish@redhat.com> - 0.4.738274-1
- Update to 738274.

* Thu Jan  8 2009 Mick Goulish <mgoulish@redhat.com> - 0.4.732838-1
- Update to 732838.

* Fri Dec  19 2008 Mick Goulish <mgoulish@redhat.com> - 0.4.728142-1
- updated to 728142

* Wed Dec  17 2008 Mick Goulish <mgoulish@redhat.com> - 0.4.727397-1
- updated to 727397

* Thu Dec  11 2008 Mick Goulish <mgoulish@redhat.com> - 0.4.725652-2
- updated to 725652

* Wed Dec  10 2008 Mick Goulish <mgoulish@redhat.com> - 0.4.725317-2
- updated to 725317

* Mon Dec  8 2008 Mick Goulish <mgoulish@redhat.com> - 0.3.724474-2
- updated to 724474

* Wed Dec  3 2008 Mick Goulish <mgoulish@redhat.com> - 0.3.722891-2
- updated to 722891

* Mon Dec  1 2008 Nuno Santos <nsantos@redhat.com> - 0.3.722122-2
- BZ472526: removed unused/non-relevant perftests

* Fri Nov 21 2008  Mick Goulish <mgoulish@redhat.com> - 0.3.719552-1
- updated to 719552

* Thu Nov 20 2008  Mick Goulish <mgoulish@redhat.com> - 0.3.719323-1
- updated to 719323
- For subpackage qpidd-cluster, added dependency to cman-devel.
- For subpackage qpidd-cluster, added dependency to qpidc.
- added BuildRequires cman-devel

* Fri Nov 14 2008 Justin Ross <jross@redhat.com> - 0.3.714072-1
- Update to svn rev 714072
- Enable building --with-cpg

* Wed Nov 12 2008 Justin Ross <jross@redhat.com> - 0.3.713378-1
- Update to svn rev 713378

* Fri Nov  7 2008 Justin Ross <jross@redhat.com> - 0.3.712127-1
- Update to svn rev 712127

* Thu Nov  6 2008 Nuno Santos <nsantos@redhat.com> - 0.3.711915-2
- Removed extraneous openais-devel dependency

* Thu Nov  6 2008 Justin Ross <jross@redhat.com> - 0.3.711915-1
- Update to svn rev 711915

* Tue Nov  4 2008 Nuno Santos <nsantos@redhat.com> - 0.3.709187-2
- Remove extraneous dependency

* Thu Oct 30 2008 Nuno Santos <nsantos@redhat.com> - 0.3.709187-1
- Rebsed to svn rev 709187

* Tue Oct 28 2008 Nuno Santos <nsantos@redhat.com> - 0.3.708576-1
- Rebased to svn rev 708576

* Mon Oct 27 2008 Nuno Santos <nsantos@redhat.com> - 0.3.708210-1
- Rebased to svn rev 708210; address make check libtool issue

* Fri Oct 24 2008 Justin Ross <jross@redhat.com> - 0.3.707724-1
- Update to revision 707724

* Thu Oct 23 2008 Justin Ross <jross@redhat.com> - 0.3.707468-1
- Don't use silly idenity defines
- Add new ssl and rdma subpackages
- Move cluster and xml plugins into their own subpackages
- Reflect new naming of plugins

* Wed Aug 21 2008 Justin Ross <jross@redhat.com> - 0.2.687156-1
- Update to source revision 687156 of the qpid.0-10 branch

* Wed Aug 14 2008 Justin Ross <jross@redhat.com> - 0.2.685273-1
- Update to source revision 685273 of the qpid.0-10 branch

* Wed Aug  6 2008 Justin Ross <jross@redhat.com> - 0.2.683301-1
- Update to source revision 683301 of the qpid.0-10 branch

* Thu Jul 15 2008 Justin Ross <jross@redhat.com> - 0.2.676581-1
- Update to source revision 676581 of the qpid.0-10 branch
- Work around home dir creation problem
- Use a license string that rpmlint likes

* Thu Jul 10 2008 Nuno Santos <nsantos@redhat.com> - 0.2.667603-3
- BZ453818: added additional tests to -perftest

* Thu Jun 13 2008 Justin Ross <jross@redhat.com> - 0.2.667603-1
- Update to source revision 667603

* Thu Jun 12 2008 Justin Ross <jross@redhat.com> - 0.2.667253-1
- Update to source revision 667253

* Thu Jun 12 2008 Nuno Santos <nsantos@redhat.com> - 0.2.666138-5
- add missing doc files

* Wed Jun 11 2008 Justin Ross <jross@redhat.com> - 0.2.666138-3
- Added directories for modules and pid files to install script

* Wed May 28 2008 David Sommerseth <davids@redhat.com> - 0.2.663761-1
- Added perftest utilities

* Thu May 22 2008 Nuno Santos <nsantos@redhat.com> - 0.2.656926-4
- Additional build flags for i686

* Tue May 20 2008 Nuno Santos <nsantos@redhat.com> - 0.2.656926-3
- BZ 432872: remove examples, which are being packaged separately

* Tue May 20 2008 Justin Ross <jross@redhat.com> -0.2.656926-2
- Drop build requirements for graphviz and help2man

* Wed May 14 2008 Nuno Santos <nsantos@redhat.com> - 0.2-34
- Bumped for Beta 4 release

* Fri May  9 2008 Matthew Farrellee <mfarrellee@redhat> - 0.2-33
- Moved qpidd.conf from qpidc package to qpidd package
- Added BuildRequires xqilla-devel and xerces-c-devel to qpidd for XML Exchange
- Added BuildRequires openais-devel to qpidd for CPG
- Added missing Requires xqilla-devel to qpidd-devel

* Thu May  8 2008 Matthew Farrellee <mfarrellee@redhat> - 0.2-32
- Added sasl2 config file for qpidd
- Added cyrus-sasl dependencies

* Wed May  7 2008 Matthew Farrellee <mfarrellee@redhat> - 0.2-31
- Added python dependency, needed by managementgen

* Wed May  7 2008 Matthew Farrellee <mfarrellee@redhat> - 0.2-30
- Added management-types.xml to qpidc-devel package

* Tue May  6 2008 Matthew Farrellee <mfarrellee@redhat> - 0.2-29
- Added managementgen to the qpidc-devel package

* Mon Apr 14 2008 Nuno Santos <nsantos@redhat.com> - 0.2-28
 - Fix home dir permissions
 - Bumped for Fedora 9

* Mon Mar 31 2008 Nuno Santos <nsantos@redhat.com> - 0.2-25
- Create user qpidd, start qpidd service as qpidd

* Mon Feb 18 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-24
- Bug fix for TCK issue in Beta 3

* Thu Feb 14 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-23
- Bumped to pull in fixes for Beta 3

* Tue Feb 12 2008 Alan Conway <aconway@redhat.com> - 0.2-22
- Added -g to compile flags for debug symbols.

* Tue Feb 12 2008 Alan Conway <aconway@redhat.com> - 0.2-21
- Create /var/lib/qpidd correctly.

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-20
- bumped for Beta 3

* Mon Jan 21 2008 Gordon Sim <gsim@redhat.com> - 0.2-18
- bump up rev for recent changes to plugin modules & mgmt

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-17
- add missing header file SessionManager.h

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-16
- limit builds to i386 and x86_64 archs

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-15
- add ruby as a build dependency

* Tue Dec 18 2007 Nuno Santos <nsantos@redhat.com> - 0.2-14
- include fixes from Gordon Sim (fragmentation, lazy-loading, staging) 
  and Alan Conway (exception handling in the client).

* Thu Dec 6 2007 Alan Conway <aconway@redhat.com> - 0.2-13
- installcheck target to build examples in installation.

* Thu Nov 8 2007 Alan Conway <aconway@redhat.com> - 0.2-10
- added examples to RPM package.

* Thu Oct 9 2007 Alan Conway <aconway@redhat.com> - 0.2-9
- added config(noreplace) for qpidd.conf

* Thu Oct 4 2007 Alan Conway <aconway@redhat.com> - 0.2-8
- Added qpidd.conf configuration file.
- Updated man page to detail configuration options.

* Thu Sep 20 2007 Alan Conway <aconway@redhat.com> - 0.2-7
- Removed apr dependency.

* Wed Aug 1 2007 Alan Conway <aconway@redhat.com> - 0.2-6
- added --disable-cluster flag

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.2-5
- Add missing Requires: e2fsprogs-devel for qpidc-devel.

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.2-4
- longer broker_start timeout to avoid failures in plague builds.

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.2-3
- Add missing Requires: apr in qpidc.

* Mon Apr 16 2007 Alan Conway <aconway@redhat.com> - 0.2-2
- Bugfix for memory errors on x86_64.

* Thu Apr 12 2007 Alan Conway <aconway@redhat.com> - 0.2-1
- Bumped version number for rhm dependencies.

* Wed Apr 11 2007 Alan Conway <aconway@redhat.com> - 0.1-5
- Add qpidd-devel sub-package.

* Mon Feb 19 2007 Jim Meyering <meyering@redhat.com> - 0.1-4
- Address http://bugzilla.redhat.com/220630:
- Remove redundant "cppunit" build-requires.
- Add --disable-static.

* Thu Jan 25 2007 Alan Conway <aconway@redhat.com> - 0.1-3
- Applied Jim Meyerings fixes from http://mail-archives.apache.org/mod_mbox/incubator-qpid-dev/200701.mbox/<87hcugzmyp.fsf@rho.meyering.net>

* Mon Dec 22 2006 Alan Conway <aconway@redhat.com> - 0.1-1
- Fixed all rpmlint complaints (with help from David Lutterkort)
- Added qpidd --daemon behaviour, fix init.rc scripts

* Fri Dec  8 2006 David Lutterkort <dlutter@redhat.com> - 0.1-1
- Initial version based on Jim Meyering's sketch and discussions with Alan
  Conway
